package invoice;

/**
 * @author S.Chassande-Barrioz
 */
public class Product {
    private String name;
    private char size;
    private String color;
    private float weight;
    private float price;

    public Product() {
    }

    public Product(String name, char size, String color, float weight, float price) {
        this.name = name;
        this.size = size;
        this.color = color;
        this.weight = weight;
        this.price = price;
    }

    public String toString() {
        return "name:" + name
            + " / size:" + size
            + " / color:" + color
            + " / weight:" + weight
            + " / price:" + price;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public char getSize() {
        return size;
    }

    public void setSize(char size) {
        this.size = size;
    }

    public String getColor() {
        return color;
    }

    public void setColor(String color) {
        this.color = color;
    }

    public float getWeight() {
        return weight;
    }

    public void setWeight(float weight) {
        this.weight = weight;
    }

    public float getPrice() {
        return price;
    }

    public void setPrice(float price) {
        this.price = price;
    }
}
