/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 */

package org.objectweb.speedo.pobjects.detach.groupama;

/**
 * @author Y.Bersihand
 */
public class C {

	private int idC1;
	private int idC2;
	private int idC3;
	
	private B b;
	
	public C(int id1, int id2, int id3) {
		this.idC1 = id1;
		this.idC2 = id2;
		this.idC3 = id3;
	}

	public int getIdC1() {
		return idC1;
	}
	public void setIdC1(int idC1) {
		this.idC1 = idC1;
	}
	public int getIdC2() {
		return idC2;
	}
	public void setIdC2(int idC2) {
		this.idC2 = idC2;
	}
	public int getIdC3() {
		return idC3;
	}
	public void setIdC3(int idC3) {
		this.idC3 = idC3;
	}
	
	public B getB() {
		return b;
	}
	public void setB(B b) {
		this.b = b;
	}
	
	public String toString(){
		return "C[id1=" + idC1 + ",id2=" + idC2 + "id3=" + idC3 + "]";
 	}
}
