/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 */

package org.objectweb.speedo.pobjects.inheritance.filterOutOfPK.composite;

/**
 * @author Y.Bersihand
 */
public class A1 {

	//the composite pk
	private int a11;
	private String a12;
	
	//the filter
	private int a13;
	
	//a ref
	private B b;
	
	public A1(int a11, String a12, int a13, B b) {
		this.a11 = a11;
		this.a12 = a12;
		this.a13 = a13;
		this.b = b;
	}
	
	public int getA11() {
		return a11;
	}
	public void setA11(int a11) {
		this.a11 = a11;
	}
	public String getA12() {
		return a12;
	}
	public void setA12(String a12) {
		this.a12 = a12;
	}
	public int getA13() {
		return a13;
	}
	public void setA13(int a13) {
		this.a13 = a13;
	}
	public B getB() {
		return b;
	}
	public void setB(B b) {
		this.b = b;
	}
}
