/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 * Authors: S.Chassande-Barrioz.
 *
 */

package org.objectweb.speedo.pobjects.relations;

import java.util.Collection;
import java.util.ArrayList;

public class B {

    private String name;

    private A a; // one one relation, reverse = b

    private Collection as; // many many relation, reverse = bs

    private A na; // one many relation, reverse = nbs

    public B () {
    }

    public B (String name) {
        this.name = name;
        this.as = new ArrayList();
    }

	public String getName() {
		return name;
	}

	public A getA() {
		return a;
	}

	public void setA(A a) {
		this.a = a;
	}

	public Collection getAs() {
		return as;
	}

	public void setAs(Collection as) {
		this.as = as;
	}

	public A getNa() {
		return na;
	}

	public void setNa(A na) {
		this.na = na;
	}

	public void setName(String name) {
		this.name = name;
	}
}
