/**
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.speedo.pobjects.relations;

import java.util.Collection;
import java.util.ArrayList;

/**
 *
 * @author S.Chassande-Barrioz
 */
public class C {
private String name;

    private Long ident;

    private D d; // one one relation, reverse = c

    private Collection ds; // many many relation, reverse = cs

    private Collection nds; // one many relation, reverse = nc

    public C () {
    }

    public C (String name) {
        this.name = name;
        this.ds = new ArrayList();
        this.nds = new ArrayList();
    }

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Long getIdent() {
		return ident;
	}

	public void setIdent(Long ident) {
		this.ident = ident;
	}

	public D getD() {
		return d;
	}

	public void setD(D d) {
		this.d = d;
	}

	public Collection getDs() {
		return ds;
	}

	public void setDs(Collection ds) {
		this.ds = ds;
	}

	public Collection getNds() {
		return nds;
	}

	public void setNds(Collection nds) {
		this.nds = nds;
	}
}
