/*
 * Created on 29 oct. 2004
 */
package org.objectweb.speedo.pobjects.cap;

import java.util.Collection;


/**
 * @author mhoudu
 */
public class JDOAdminUser {

    /** the user identifier */
    private String id;
    
    /** the user login */
    private String login;
    
    /** the user email */
    private String email;
    
    /** the user roles */
    private Collection roles;
    
    /**
     * Default constructor.
     * @param id The user identifier.
     * @param login The user login.
     * @param email The user email.
     * @param roles The user roles.
     */
    public JDOAdminUser(
            String id,
            String login,
            String email,
            Collection roles)
    {
        this.id = id;
        this.login = login;
        this.email = email;
        this.roles = roles;
    }
    
    /**
     * Gets the id.
     * @return Returns the id.
     */
    public String getId()
    {
        return id;
    }
    
    /**
     * Sets the id.
     * @param id The id to set.
     */
    public void setId(String id)
    {
        this.id = id;
    }

    /**
     * Gets the login.
     * @return Returns the login.
     */
    public String getLogin()
    {
        return login;
    }
    
    /**
     * Sets the login.
     * @param login The login to set.
     */
    public void setLogin(String login)
    {
        this.login = login;
    }
    
    /**
     * Gets the email.
     * @return Returns the email.
     */
    public String getEmail()
    {
        return email;
    }

    /**
     * Sets the email.
     * @param email The email to set.
     */
    public void setEmail(String email)
    {
        this.email = email;
    }

    /**
     * Gets the roles.
     * @return Returns the roles.
     */
    public Collection getRoles()
    {
        return roles;
    }
    
    /**
     * Sets the roles.
     * @param roles The roles to set.
     */
    public void setRoles(Collection roles)
    {
        this.roles = roles;
    }

}