package org.objectweb.speedo.pobjects.detach.groupama;

import java.util.ArrayList;
import java.util.Collection;


/**
 * A convention has a marque and an intervenant.
 */
public class ConventionHelper {
    
	private MarqueHelper marque;
	private String cdmem;
	private IntervenantHelper intervenant;
	private Collection zoneGeographiques;
	private SpecialiteMercureHelper specialiteMercure;
	
	private int nomep;

	public ConventionHelper() {
		this.zoneGeographiques = new ArrayList();
	}
	
	public MarqueHelper getMarque() {
		return marque;
	}

	public String getCdmem() {
		return cdmem;
	}

	public IntervenantHelper getIntervenant() {
		return intervenant;
	}

	public int getNomep() {
		return nomep;
	}
  
	public void setMarque(MarqueHelper pMarque) {
		this.marque = pMarque;
	}
 
	public void setCdmem(String pCdmem) {
		this.cdmem = pCdmem;
	}

	public void setIntervenant(IntervenantHelper pIntervenant) {
		this.intervenant = pIntervenant;
	}

	public void setNomep(int pNomep) {
		this.nomep = pNomep;
	}

	public Collection getZoneGeographiques() {
		return zoneGeographiques;
	}
	public void setZoneGeographiques(Collection zoneGeographiques) {
		this.zoneGeographiques = zoneGeographiques;
	}
	public void addZoneGeographique(ZoneGeographiqueHelper zg) {
		zoneGeographiques.add(zg);
	}
	
	public SpecialiteMercureHelper getSpecialiteMercure() {
		return specialiteMercure;
	}
	public void setSpecialiteMercure(SpecialiteMercureHelper specialiteMercure) {
		this.specialiteMercure = specialiteMercure;
	}
}
