/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 */

package org.objectweb.speedo.pobjects.inheritance.filterOutOfPK.composite;

/**
 * @author Y.Bersihand
 */
public class A3 extends A21 {
	
	private int a31;
	
	public A3(int a11, String a12, int a13, B b, boolean a21, int a31) {
		super(a11, a12, a13, b, a21);
		this.a31 = a31;
	}

	public int getA31() {
		return a31;
	}
	public void setA31(int a31) {
		this.a31 = a31;
	}
}
