/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 */

package org.objectweb.speedo.pobjects.inheritance.index;

/**
 * @author Y.Bersihand
 */
public class Mother {
	
	private int java1;
	private String java2;
	private boolean java3;
	
	public Mother(int java1, String java2, boolean java3) {
		this.java1 = java1;
		this.java2 = java2;
		this.java3 = java3;
	}
	

	public int getJava1() {
		return java1;
	}
	public void setJava1(int java1) {
		this.java1 = java1;
	}
	public String getJava2() {
		return java2;
	}
	public void setJava2(String java2) {
		this.java2 = java2;
	}
	public boolean isJava3() {
		return java3;
	}
	public void setJava3(boolean java3) {
		this.java3 = java3;
	}
}
