/*
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Release: 1.0
 * 
 * Created on 15 mars 2004
 * @author fmillevi@yahoo.com
 *
 */
package org.objectweb.speedo.j2eedo.common;

import java.util.Date;

public class TraceTimeElement {
	public String task;
	public Date beginTime;
	public Date endTime;

	public TraceTimeElement(String str) {
		this.task = str;
		this.beginTime = new Date();
	}

	public void endTask() {
		this.endTime = new Date();
	}

	public long duration() {
		return this.endTime.getTime() - this.beginTime.getTime();
	}
}
